X2Go Bug report logs - #599
X2Go fails to launch gnome-fallback properly on distros other than Debian and Ubuntu

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Sun, 7 Sep 2014 23:20:02 UTC

Severity: normal

Found in version 4.0.1.15

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Sun, 07 Sep 2014 23:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 07 Sep 2014 23:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: X2Go fails to launch gnome-fallback properly on distros other than Debian and Ubuntu
Date: Sun, 7 Sep 2014 19:17:53 -0400
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.15
Severity: normal

In /usr/bin/x2goruncommand , the logic for deciding to launch the
"gnome-fallback" session instead of the default instead of "gnome"
session is specific to Debian and Ubuntu.

The same is true for "gnome-2d", and "gnome-flashback". (Although
there are bugs in gnome-session preventing gnome-flashback from
working with X2Go. See X2Go bug #598.)

Rather than adding logic for every other distro, I have prepared a
patch that is distro-neutral. It looks for the presence of session
files under /usr/share/gnome-session/sessions/ to decide which session
to (attempt to) launch. It uses the following priority:
gnome-flashback (GNOME 3.8 and later)
gnome-fallback (GNOME 3.4 and GNOME 3.6)
gnome-2d (GNOME 3.2)
gnome (GNOME2, or gnome-shell on GNOME3)

I tested it on openSUSE 12.3 (GNOME 3.6) successfully. Without this
patch, GNOME gives a warning dialog saying that it could not launch a
regular session and had to resort to a fallback session. With this
patch, it does not give that warning (because the fallback session was
intentional.)

I also tested Ubuntu 12.04: No regression

-Mike#2
[x2goserver-make-gnome3-logic-distro-neutral.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Mon, 08 Sep 2014 09:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 09:25:01 GMT) (full text, mbox, link).


Message #10 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 599@bugs.x2go.org
Subject: Re: GNOME3 flashback session refuses to launch on Debian 8 jessie
Date: Mon, 08 Sep 2014 09:22:19 +0000
[Message part 1 (text/plain, inline)]
Hi Michael,

On  So 07 Sep 2014 21:53:08 CEST, Michael DePaulo wrote:

> The problem appears to be that the current version of source & binary
> package "gnome-session", 3.12.1-3 (in both jessie and sid), checks for
> hardware 3D acceleration even when launching GNOME flashback session,
> which does not require acceleration.
>
> There is probably also a problem with the composite extension not
> being available (or not being new enough.)
>
> x2goserver will probably need to pass an argument like
> "--disable-acceleration-check" to gnome-session, once that argument is
> implemented by gnome-session. So I figured I'd report this bug against
> x2goserver.

Fine by me. Once we have that option in GNOMEv3.

> GNOME bug: https://bugzilla.gnome.org/show_bug.cgi?id=731173
> Corresponding Ubuntu bug:
> https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1251281
> Debian bug: Couldn't find one
>
> Mike#1, how do you propose we word this bug in the Debian BTS? Do you
> want me to submit it or, should you? You are a DD after all.

Focusing on getting it into jessie only makes sense, if we can provide  
a concrete patch that provides a fix to that issue in Debian.

If we don't have a patch, then the issue is unlikely to get fixed  
before the jessie release, I feel.

As X2Go is not very usable with Debian's GNOMEv3 at the moment, I  
guess not many on the GNOME packaging team are interested in getting  
this changed before jessie. However, you could ping mitya57 [1] on  
#debian-devel (irc.debian.org) and check if he is open to a solution  
for GNOMEv3+X2Go.

Check if we can present a patch for GNOMEv3 in Debian, Talk to mitya57  
/ Dmitry. If all is positive, please draft a BTS report and I proxy it  
through, but maybe once you have chatted with mitya57, it makes sense  
that you post the BTS issue directly, yourself.

If there are hurdles upcoming in all this, I would lower priority and  
focus on other tasks (IMHO).

Greets,
Mike

[1]  
http://metadata.ftp-master.debian.org/changelogs//main/g/gnome-panel/gnome-panel_3.8.1-2_changelog
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Mon, 08 Sep 2014 11:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 11:55:02 GMT) (full text, mbox, link).


Message #15 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 599@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: How to commit this
Date: Mon, 8 Sep 2014 07:51:33 -0400
Mike#1,

About the patch.

Should I do the following?
1. Commit it to release/4.0.1.x
2. Cherry-pick it to master


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Mon, 08 Sep 2014 12:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 12:15:02 GMT) (full text, mbox, link).


Message #20 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 599@bugs.x2go.org
Subject: Re: How to commit this
Date: Mon, 08 Sep 2014 12:10:11 +0000
[Message part 1 (text/plain, inline)]
Hi Michael,

On  Mo 08 Sep 2014 13:51:33 CEST, Michael DePaulo wrote:

> Mike#1,
>
> About the patch.
>
> Should I do the following?
> 1. Commit it to release/4.0.1.x
> 2. Cherry-pick it to master

Exactly. Sneaking it into the release 4.0.1.16 which is on my todo  
list for this week.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Mon, 08 Sep 2014 12:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 12:35:02 GMT) (full text, mbox, link).


Message #25 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 599-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 599@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 8 Sep 2014 14:34:38 +0200 (CEST)
tag #599 pending
fixed #599 4.0.1.16
thanks

Hello,

X2Go issue #599 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=7ba7f6c

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 7ba7f6cc56bda7075d0798c3d11b015b9a57483b
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Mon Sep 8 08:32:05 2014 -0400

    Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other than Ubuntu and Debian (Fixes: #599)

diff --git a/debian/changelog b/debian/changelog
index cac9892..eccc8bc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,11 +2,14 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
 
   [ Mike DePaulo ]
   * New upstream release (4.0.1.16):
-    - Support GNOME Flashback session on Ubuntu 13.10+ and on debian Jessie
+    - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
+      Ubuntu 13.10+ and debian Jessie
       (Note: This requires that gnome-flashback.session actually be installed.
        It also currently requires that the gnome-session binary not require
        hardware 3D acceleration for said session.)
       (Thanks Eugene San (eugenesan@gmail.com))
+    - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
+      than Ubuntu and Debian (Fixes: #599)
     - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
     - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
       (Fixes: #572)


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Mon, 08 Sep 2014 12:35:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.16. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Mon, 08 Sep 2014 12:35:02 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#599. (Mon, 08 Sep 2014 12:35:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Mon, 08 Sep 2014 13:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 13:55:02 GMT) (full text, mbox, link).


Message #37 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 599@bugs.x2go.org
Subject: Re: GNOME3 flashback session refuses to launch on Debian 8 jessie
Date: Mon, 8 Sep 2014 09:51:53 -0400
On Mon, Sep 8, 2014 at 5:22 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Michael,
>
> On  So 07 Sep 2014 21:53:08 CEST, Michael DePaulo wrote:
>
>> The problem appears to be that the current version of source & binary
>> package "gnome-session", 3.12.1-3 (in both jessie and sid), checks for
>> hardware 3D acceleration even when launching GNOME flashback session,
>> which does not require acceleration.
>>
>> There is probably also a problem with the composite extension not
>> being available (or not being new enough.)
>>
>> x2goserver will probably need to pass an argument like
>> "--disable-acceleration-check" to gnome-session, once that argument is
>> implemented by gnome-session. So I figured I'd report this bug against
>> x2goserver.
>
>
> Fine by me. Once we have that option in GNOMEv3.
>
>> GNOME bug: https://bugzilla.gnome.org/show_bug.cgi?id=731173
>> Corresponding Ubuntu bug:
>> https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1251281
>> Debian bug: Couldn't find one
>>
>> Mike#1, how do you propose we word this bug in the Debian BTS? Do you
>> want me to submit it or, should you? You are a DD after all.
>
>
> Focusing on getting it into jessie only makes sense, if we can provide a
> concrete patch that provides a fix to that issue in Debian.
>
> If we don't have a patch, then the issue is unlikely to get fixed before the
> jessie release, I feel.
>
> As X2Go is not very usable with Debian's GNOMEv3 at the moment, I guess not
> many on the GNOME packaging team are interested in getting this changed
> before jessie. However, you could ping mitya57 [1] on #debian-devel
> (irc.debian.org) and check if he is open to a solution for GNOMEv3+X2Go.
>
> Check if we can present a patch for GNOMEv3 in Debian, Talk to mitya57 /
> Dmitry. If all is positive, please draft a BTS report and I proxy it
> through, but maybe once you have chatted with mitya57, it makes sense that
> you post the BTS issue directly, yourself.

I read the GNOME bug report more closely and came up with this plan. Thoughts?

1. Fix the issues/shortcomings with the patch for GNOME bug 731173 and
get it accepted into the latest GNOME, even if that version is of
GNOME is 3.15/3.16 rather than 3.13/3.14.
2. Backport the patch to GNOME 3.12.
3. File a bug report for Debian to accept the backported patch.
4. Ping mitya57 on #debian-devel

> If there are hurdles upcoming in all this, I would lower priority and focus
> on other tasks (IMHO).
>

Agreed.

> Greets,
> Mike
>
> [1]
> http://metadata.ftp-master.debian.org/changelogs//main/g/gnome-panel/gnome-panel_3.8.1-2_changelog
[...]

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Tue, 09 Sep 2014 09:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 09 Sep 2014 09:30:01 GMT) (full text, mbox, link).


Message #42 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 599@bugs.x2go.org
Subject: Re: GNOME3 flashback session refuses to launch on Debian 8 jessie
Date: Tue, 09 Sep 2014 09:28:48 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2

On  Mo 08 Sep 2014 15:51:53 CEST, Michael DePaulo wrote:

> I read the GNOME bug report more closely and came up with this plan.  
> Thoughts?
>
> 1. Fix the issues/shortcomings with the patch for GNOME bug 731173 and
> get it accepted into the latest GNOME, even if that version is of
> GNOME is 3.15/3.16 rather than 3.13/3.14.
> 2. Backport the patch to GNOME 3.12.
> 3. File a bug report for Debian to accept the backported patch.
> 4. Ping mitya57 on #debian-devel

I recommend swapping the order: 3. <-> 4. Communicate first, then file  
the BTS report.

Greets,
Mike#1
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Tue, 09 Sep 2014 13:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 09 Sep 2014 13:30:01 GMT) (full text, mbox, link).


Message #47 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 599@bugs.x2go.org
Subject: Re: GNOME3 flashback session refuses to launch on Debian 8 jessie
Date: Tue, 9 Sep 2014 09:25:50 -0400
On Tue, Sep 9, 2014 at 5:28 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Mike#2
>
> On  Mo 08 Sep 2014 15:51:53 CEST, Michael DePaulo wrote:
>
>> I read the GNOME bug report more closely and came up with this plan.
>> Thoughts?
>>
>> 1. Fix the issues/shortcomings with the patch for GNOME bug 731173 and
>> get it accepted into the latest GNOME, even if that version is of
>> GNOME is 3.15/3.16 rather than 3.13/3.14.
>> 2. Backport the patch to GNOME 3.12.
>> 3. File a bug report for Debian to accept the backported patch.
>> 4. Ping mitya57 on #debian-devel
>
>
> I recommend swapping the order: 3. <-> 4. Communicate first, then file the
> BTS report.
>
> Greets,
> Mike#1
[...]
Will do.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Tue, 09 Sep 2014 14:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 09 Sep 2014 14:00:02 GMT) (full text, mbox, link).


Message #52 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 599-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 599@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Tue, 9 Sep 2014 15:58:52 +0200 (CEST)
tag #599 pending
fixed #599 4.0.1.16
thanks

Hello,

X2Go issue #599 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=023beaf

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 023beaf3eb77e563d64de656f2daf9961dd96721
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Tue Sep 9 09:58:44 2014 -0400

    changelog: Add warning about GNOME Flashback support

diff --git a/debian/changelog b/debian/changelog
index d65e05c..0b1ef66 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,9 +4,13 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
   * New upstream release (4.0.1.16):
     - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
       Ubuntu 13.10+ and debian Jessie
-      (Note: This requires that gnome-flashback.session actually be installed.
-       It also currently requires that the gnome-session binary not require
-       hardware 3D acceleration for said session.)
+      (NOTE: For most users, GNOME Flashback currently will not work.
+       This requires that gnome-flashback.session actually be installed. Not
+       every Linux distro has it available.
+       It also requires that the gnome-session binary not require
+       hardware 3D acceleration for said session. Currently, upstream GNOME
+       and GNOME 3.8+ in all Linux distros do require this, only 3rd party
+       builds do not. See bug X2Go #599 for example.)
       (Thanks Eugene San (eugenesan@gmail.com))
     - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
       than Ubuntu and Debian (Fixes: #599)


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#599. (Tue, 09 Sep 2014 14:00:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Tue, 09 Sep 2014 22:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 09 Sep 2014 22:30:02 GMT) (full text, mbox, link).


Message #60 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 599@bugs.x2go.org
Subject: Not fixed in 4.0.1.16
Date: Tue, 9 Sep 2014 18:28:57 -0400
Control: notfixed -1 4.0.1.16
Control: tags -1 - pending

Sorry for any confusion. This is not fixed in 4.0.1.16. I simply
wanted to reference the bug in the changelog.


No longer marked as fixed in versions 4.0.1.16. Request was from Michael DePaulo <mikedep333@gmail.com> to 599-submit@bugs.x2go.org. (Tue, 09 Sep 2014 22:30:02 GMT) (full text, mbox, link).


Removed tag(s) pending. Request was from Michael DePaulo <mikedep333@gmail.com> to 599-submit@bugs.x2go.org. (Tue, 09 Sep 2014 22:30:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#599; Package x2goserver. (Thu, 25 Sep 2014 22:45:18 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 22:45:18 GMT) (full text, mbox, link).


Message #69 received at 599@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 599-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 599@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 26 Sep 2014 00:42:19 +0200 (CEST)
close #599
thanks

Hello,

we are very hopeful that X2Go issue #599 reported by you
has been resolved in the new release (4.0.1.16) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.16)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c43b862f2ae0e8980fb7ab5e519d692b07da5a45;hp=98c4f84d83d701823b7887f79d0d9f5ce8233bd4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.16-0x2go1
Status: RELEASE
Date: Fri, 26 Sep 2014 00:36:32 +0200
Fixes: 122 302 397 406 407 458 468 495 506 511 520 523 524 543 547 558 569 572 573 574 599 605 606 617 619
Changes: 
 x2goserver (4.0.1.16-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.1.16):
     - Make X2Go Server aware of the Openbox desktop environment
       (Command: OPENBOX) (Fixes: #605)
     - Make X2Go Server aware of the IceWM desktop environment
       (Command: ICEWM) (Fixes: #606)
     - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
       Ubuntu 13.10+ and debian Jessie
       (NOTE: For most users, GNOME Flashback currently will not work.
        This requires that gnome-flashback.session actually be installed. Not
        every Linux distro has it available.
        It also requires that the gnome-session binary not require
        hardware 3D acceleration for said session. Currently, upstream GNOME
        and GNOME 3.8+ in all Linux distros do require this, only 3rd party
        builds do not. See X2Go bug #599 for example.)
       (Thanks Eugene San (eugenesan@gmail.com))
     - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
       than Ubuntu and Debian (Fixes: #599)
     - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
     - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
       (Fixes: #572)
       NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
       & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
       Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
       "fallback mode", which has many bugs and missing features when compared to
       "software rendering" mode (cinnamon2d), but is still better than nothing.
   * debian/rules:
     + Improve dh_auto_clean override.
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.16):
     - Let x2goversion exit with an error if the X2Go component cannot be
       found.
     - Detect terminated sessions from NX log file. Also interpret a session as
       terminated if terminating just has started.
     - Detect started/starting/resumed/resuming sessions by explicitly scanning
       the NX session log file for those keywords.
     - Interpret NX sessions marked as "aborting session" as (not yet) terminated
       sessions.
     - Provide config option for server-side/global clipboard behaviour in
       x2goagent.options. (Fixes: #506).
     - Be aware of poly-instantiated /tmp directories bind-mounted under
       /tmp-inst. (Fixes: #406).
     - On suspend: Call x2goumount-session before sending SIGHUP to x2goagent.
     - Refuse client communcation if server-side hostname is not set up
       correctly (Fixes: #468).
     - Fix string comparison in x2goumount-session.
     - Fix problems with unmounting shared folders on session suspension/
       termination. Remove extra parentheses from the fusermount execution
       call. (Fixes: #407).
     - Use type -p instead of which in x2goumount-session. Suppress output
       to stdout properly.
     - Use if--then--else--fi during x2goagent resuming in x2goresume-session
       script.
     - More reliably sync the NX session state with the status information in
       the X2Go session DB.
     - x2golistdesktops: Also detect sharable desktop sessions behind abstract
       kernel namespace sockets.
     - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
       them in.
     - Correctly use diversions from stderr to stdout in shell commands.
       (Fixes: #520).
     - Don't die if no session state file is found, as it will break X2Go
       completely after upgrading from versions << 4.0.1.16 if sessions
       are still running/suspended during package upgrade.
     - Provide support for client-side choice of clipboard security. (Fixes:
       #524).
     - Use more quotes in x2goruncommand.
     - Detect the exit of rootless applications that forked to background on
       application execution. (Fixes: #122).
     - Make x2goruncommand more robust.
     - Don't fail Xsession startup if any of the profile scripts returns
       with an error.
     - Silently timeout in x2golistdesktops if calls to x2golistsessions and/or
       xwininfo don't produce output within one second. (Fixes: #543).
     - Allow email addresses as login usernames. (Fixes: #573).
     - Abort session startup if env var $USER or $SSH_CLIENT are not set.
       (Fixes: #558).
     - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
       #574).
     - Abort session if env var $HOME is not set or if $HOME contains non-ASCII
       characters. (Fixes: #397).
     - Export XAUTHORITY env var in x2goruncommand to enable privilege upgrade
       for applications started via pkexec. (Fixes: #458).
     - x2gocleansessions: Don't print to stderr if the session state file cannot
       be found. This can happen during session startups. Report to system log
       instead.
     - Don't use Perl package File::ReadBackwards anymore.
     - Fix x2gormforward for 4.0.1.x release series (the X2Go::Log Perl module
       only exists in X2Go Server >= 4.1.0.0, the 4.0.1.x release series has to
       use x2gologlevel.pm in `x2gopath lib`. (Fixes: #617).
     - Pick x2gogetagentstate from 4.1.0.0 release series and adapt to usage
       with X2Go Server 4.0.1.x. (Fixes: #619).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.
     + Make sure x2gogetagentstate gets packaged in bin:package x2goserver.
     + Bump Standards: to 3.9.5. No changes needed.
     + Mark x2goserver-pyhoca bin:package as deprecated.
     + Drop D (x2goserver): libfile-readbackwards-perl.
   * x2goserver.spec:
     + Install {libdir}/x2go/x2gormforward into bin:package x2goserver.
     + Drop R (x2goserver): perl(File::ReadBackwards).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.16):
     - x2gostartagent, x2golistsession, x2gosuspend-session and
       x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This
       should help to avoid session damage. Remove nxcleanup. (Fixes: #302,
       #511).
     - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
     - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
       options file.
     - Set default value for clipboard to "both" in x2gostartagent and
       x2goresume-session.
     - Clean user SSHD process if connection between server and client lost.
       This should fix error "Global request tcpip-forward failed". (Fixes:
       #495, #547).
 .
   [ Orion Paplowski ]
   * x2goserver.spec:
     + Sync Fedora .spec file with our upstream-provided x2goserver.spec.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 25 Sep 2014 22:45:27 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Thu, 25 Sep 2014 22:45:28 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#599. (Thu, 25 Sep 2014 22:46:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Oct 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 8 13:10:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.